var imagejs = function () {

    //global hosturl
    var hosturl = $('#hosturl').val();
    var imagefun = function () {

//    ------------------------------- image validation --------------------------------------------
        $('.img_cls').on('change', function (e) {

            // e.preventDefault();
            var myfile = $(this).val();
            var ext = myfile.split('.').pop();
            if (ext == "jpg" || ext == "jpeg" || ext == "png" || ext == "JPG" || ext == "JPEG" || ext == "PNG") {

                var filesize = (this.files[0].size / 1024 / 1024);//now in MB
                if (filesize > 5)
                {
                    $(this).val("");
                    alert('عفوا حجم الملف : اكبر من 5MB ');
                }
                if (filesize == 0)
                {
                    $(this).val("");
                    alert('عفوا حجم الملف اصغر من اللازم');
                }
            } else {

                alert("لايمكنك تحميل هذا الملف");
                $(this).val('');
            }
        });

    }

    return {
        //main function to initiate the module
        init: function () {
            $('form').validate();
            imagefun();

        }

    };

}();